#include <stdio.h>
#include <zephyr/kernel.h>
#include <zephyr/logging/log.h>

#include "led.h"
#include "servo.h"
#include "adc.h"
#include "uart.h"

LOG_MODULE_REGISTER(main);


int main(void) {
	int ret;

	ret = led_init();
	if (ret != 0) {
		LOG_ERR("Failed to initialize LED driver: %d", ret);
	}

	ret = servo_init();
	if (ret != 0) {
		LOG_ERR("Failed to initialize SERVO driver: %d", ret);
	}

	ret = adc_init_all();
	if (ret != 0) {
		LOG_ERR("Failed to initialize ADC driver: %d", ret);
	}

	ret = uart_init();
	if (ret != 0) {
		LOG_ERR("Failed to initialize UART driver: %d", ret);
	}


	while (1) {
		k_msleep(1000);
	}
	return 0;
}
